System.Web 2.0.0.0 System.Web.UI.WebControls.Parameter System.ComponentModel.DefaultProperty("CookieName")

You can use the class to bind the value of a client-side HTTP cookie passed as part of an HTTP request to a parameter used by ASP.NET data source controls.

The class provides the property, which identifies the name of the object to bind to, in addition to those inherited from the class. The class attempts to bind to the named cookie every time the method is called.

Controls that bind data to the parameter might throw an exception if a object is specified, but no corresponding cookie is passed with the HTTP request. Similarly, they might display no data if the cookie is passed with null. Set the property to avoid these situations where appropriate.

Binds the value of a client-side HTTP cookie to a parameter object. The parameter can be used in a parameterized query or command to select, filter, or update data.

- Constructor

  A object created with the constructor is initialized with default values for all its properties. The property is initialized to . Additionally, the property is initialized to , the property is initialized to , the property is initialized to , and the property is initialized to null.

  Initializes a new unnamed instance of the class.

  2.0.0.0
- Constructor

  The constructor is a protected copy constructor used to clone a instance. The property values of the object, including , , and , are all transferred to the new instance.

  Initializes a new instance of the class with the values of the instance specified by the parameter.

  A from which the current instance is initialized.
  2.0.0.0
- Constructor

  A object created with the constructor is initialized with the specified parameter name and string that identifies the cookie that the parameter binds to. Other properties, including and , are initialized with default values.

  Initializes a new named instance of the class, using the specified string to identify which HTTP cookie to bind to.

  The name of the parameter.
  The name of the HTTP cookie that the parameter object is bound to. The default is .
  2.0.0.0
- Constructor

  A object created with the constructor is initialized with the specified parameter name, , and string that identifies the cookie that the parameter binds to. Only the and properties are initialized with default values.

  Initializes a new named and strongly typed instance of the class, using the specified string to identify which HTTP cookie to bind to.

  The name of the parameter.
  The type that the parameter represents. The default is .
  The name of the HTTP cookie that the parameter object is bound to. The default is .
  2.0.0.0
- Method
  System.Web.UI.WebControls.Parameter

  The method calls the copy constructor to initialize a new instance of the class with the values of the current instance.

  Returns a duplicate of the current instance.

  A that is an exact duplicate of the current one.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  The property identifies an HTTP cookie, which is represented by an object and is available through the current object. If the HTTP cookie is not available in the current object, the method binds the parameter to the value of the property, if it is set. If the property is not set, the method fails to bind the parameter to a value.

  Gets or sets the name of the HTTP cookie that the parameter binds to.

  2.0.0.0
- Method
  System.Object `` `` To be added.

  The parameter is used by the method to retrieve the cookies collection and the value of the cookie that the object binds to. The parameter is ignored.

  Updates and returns the value of the object.

  An object that represents the updated and current value of the parameter. If the context or the request is null, the method returns null.

  A that is associated with the Web Forms page where the is used. 2.0.0.0